%global extension   no-overview
%global uuid        %{extension}@fthx

Name:           gnome-shell-extension-%{extension}
Version:        4
Release:        2%{?dist}
Summary:        GNOME Shell extension for no overview at start-up
License:        GPLv3
URL:            https://extensions.gnome.org/extension/4099/no-overview/
Source0:        https://extensions.gnome.org/extension-data/no-overviewfthx.v%{version}.shell-extension.zip
BuildArch:      noarch
Requires:       gnome-shell-extension-common
Recommends:     gnome-extensions-app


%description
GNOME Shell extension for no overview at start-up. For GNOME Shell 40+.

%prep
%autosetup -cn %{name}-%{version}

%build
# Nothing to build here

%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install main extension files
cp -r --preserve=mode,timestamps *.js metadata.json \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

%files
%{_datadir}/gnome-shell/extensions/%{uuid}


%changelog
* Tue Mar 30 2021 Takao Fujiwara <tfujiwar@redhat.com> - 4-2
- Update with rpmlint

* Fri Mar 26 2021 Takao Fujiwara <tfujiwar@redhat.com> - 4-1
- Initial package
